Bug Hunting Session
Bug 59843 - FILESAVE: FILEOPEN: save ods in lo3, open/save in lo4 -> conditional formatting broken
Summary: FILESAVE: FILEOPEN: save ods in lo3, open/save in lo4 -> conditional formatti...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 11:46 UTC by Rohan
Modified: 2013-02-02 21:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
conditonal formatting created with lo3.5.7 (17.26 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-25 11:46 UTC, Rohan
Details
conditional formatting after loading and saving it in lo4 (21.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-25 11:48 UTC, Rohan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohan 2013-01-25 11:46:22 UTC
Created attachment 73641 [details]
conditonal formatting created with lo3.5.7

Hi, I have a calendar implemented in lo3 calc. When I open it in lo4, everything looks and works fine. Saving it as ods in lo4 works now, too. 

However, when I load the file again with lo4, the conditional formatting in the first sheet (Januar) is completely broken because it references the second sheet (Februar). 

In earlier builds of lo4 every sheet was broken and most of the time it wasn't even possible to save the file due to a "write error". So things have improved, even though not everything is working perfectly right yet.

Please find attached the original lo3 spreadsheet and the spreadsheet that results when saving it with lo4. It opens fine in lo3 but not in lo4.
Comment 1 Rohan 2013-01-25 11:48:26 UTC
Created attachment 73642 [details]
conditional formatting after loading and saving it in lo4

open this file (*-lo4.ods) in lo4 rc2 to see the bug
Comment 2 Jorendc 2013-01-26 18:43:46 UTC
@Markus: Conditional formatting bug; therefore I add you to CC.
Comment 3 Not Assigned 2013-01-27 01:37:27 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a82a9908cc5b911dd6783cab69ed3dcb6ba66bb

we need to parse the cell address after import, fdo#59843



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Rohan 2013-01-28 21:00:26 UTC
Nope, doesn't work yet with 

http://dev-builds.libreoffice.org/daily/libreoffice-4-0/Linux-x86_64_11-Release-Configuration/2013-01-28_08.35.05/

If I just open the second attachment of this bug I still have weekdays highlighted instead of the weekend.

Did you try it and did it work for you? If so, how can I check if your commit is part of the build? The time (8:35) seems to match. In any case, I will try the next build as soon as it becomes available.
Comment 5 Markus Mohrhard 2013-01-28 21:08:51 UTC
A you can see the fix is right now only in master branch for Libreoffice 4.1. So either you grab a daily master build or you have to wait till it has been pushed to the 4-0 and less likely to the 4-0-0 branch.
Comment 6 Rohan 2013-01-28 21:28:51 UTC
I see. Where can I find daily master builds? This directory 

http://dev-builds.libreoffice.org/daily/master/Linux-x86_64_11-Release-Configuration/

is always empty when I look into it. And http://tinderbox.libreoffice.org/MASTER/status.html seems to suggest that AMD64 isn't being built... or looping actually, the current build time is 71556 minutes!? 

Would be great to have so that I know if a bug I find has already been fixed.
Comment 7 Markus Mohrhard 2013-01-28 21:46:55 UTC
(In reply to comment #6)
> I see. Where can I find daily master builds? This directory 
> 
> http://dev-builds.libreoffice.org/daily/master/Linux-x86_64_11-Release-
> Configuration/
> 
> is always empty when I look into it. And
> http://tinderbox.libreoffice.org/MASTER/status.html seems to suggest that
> AMD64 isn't being built... or looping actually, the current build time is
> 71556 minutes!? 
> 
> Would be great to have so that I know if a bug I find has already been fixed.


Most of the tinderboxes are currently building 4.0. But you can use builds from the dbgutil box. While it may crash a few times more often all these crashes should be reported immediately as these additional crashes are assertion failurs in the code.
Comment 8 Not Assigned 2013-02-01 17:10:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e39fe8bc29af60e849534b6cb1882dbcec363052&h=libreoffice-4-0

we need to parse the cell address after import, fdo#59843


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Rohan 2013-02-02 21:21:34 UTC
Lovely! Just when I finished downloading the 1GB debug build I noticed your commit.

I can confirm that it works now, along with a few other things - all fixed. Thank you.
Comment 10 Jorendc 2013-02-02 21:32:45 UTC
(In reply to comment #9)
> Lovely! Just when I finished downloading the 1GB debug build I noticed your
> commit.
> 
> I can confirm that it works now, along with a few other things - all fixed.
> Thank you.

Hehe :p. Therefore -> VERIFIED FIXED.

Thanks Markus!